Class UmlBaseOpaqueAction

Declaration :

- C++ : class UmlBaseOpaqueAction : public UmlActivityAction
- Java : abstract class UmlBaseOpaqueAction extends UmlActivityAction

Directly inherited by : UmlOpaqueAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new opaque action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlOpaqueAction, exceptions : RuntimeException
- C++ : public: static UmlOpaqueAction * create(UmlItem * parent, const char * s)
- Java : public static UmlOpaqueAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseOpaqueAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseOpaqueAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseOpaqueAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseOpaqueAction(long id, String s)

Operation behavior

return the behavior

Declaration :

- Uml : + behavior() : string
- C++ : public: const QCString & behavior()
- Java : public String behavior()

Operation set_Behavior

set the behavior
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Behavior(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Behavior(const char * v)
- Java : public void set_Behavior(String v) throws RuntimeException

Operation cppBehavior

return the behavior in C++

Declaration :

- Uml : + cppBehavior() : string
- C++ : public: const QCString & cppBehavior()
- Java : public String cppBehavior()

Operation set_CppBehavior

set the behavior in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppBehavior(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppBehavior(const char * v)
- Java : public void set_CppBehavior(String v) throws RuntimeException

Operation javaBehavior

return the behavior in Java

Declaration :

- Uml : + javaBehavior() : string
- C++ : public: const QCString & javaBehavior()
- Java : public String javaBehavior()

Operation set_JavaBehavior

set the behavior in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaBehavior(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaBehavior(const char * v)
- Java : public void set_JavaBehavior(String v) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _behavior

Declaration :

- Uml : - _behavior : string
- C++ : private: QCString _behavior
- Java : private String _behavior

Attribute _cpp_behavior

Declaration :

- Uml : - _cpp_behavior : string
- C++ : private: QCString _cpp_behavior
- Java : private String _cpp_behavior

Attribute _java_behavior

Declaration :

- Uml : - _java_behavior : string
- C++ : private: QCString _java_behavior
- Java : private String _java_behavior

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , applyStereotype , associatedDiagram , behavior , children , childrenVisible , constraint , cppBehavior , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaBehavior , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_Behavior , set_childrenVisible , set_Constraint , set_CppBehavior , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaBehavior , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload , unload